执行4.1.0的quickstart报错

wphmoon 发布于 2013/07/27 00:00
阅读 350
收藏 0

在执行最新的4.1.0时的quickstart时,报错

[ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.
1:compile (default-compile) on project springside-core: Compilation failure
[ERROR] /E:/springside4-4.1.0.GA/modules/core/src/main/java/org/springside/modul
es/mapper/JsonMapper.java:[141,74] E:\springside4-4.1.0.GA\modules\core\src\main
\java\org\springside\modules\mapper\JsonMapper.java:141: 无法确定 <T>T 的类型参
数;对于上限为 T,java.lang.Object 的类型变量 T,不存在唯一最大实例
[ERROR] -> [Help 1]

这是什么原因,我的maven是3.0.4,jdk是1.7

加载中
0
江南白衣
江南白衣
奇怪也,在4.1.1.SNAPSHOT里已经把这句惹事的API改了,你可以自己改一下,将返回值去掉即可。
0
wphmoon
wphmoon
嗯,在最新的代码替换update这个方法就好了,改好后,还会影响到showcase里面的JsonDemo类的updateBean方法,同样,用最新的代码替换这个方法,就可以跑起来了,Oh yeah!
0
沂轩阁
沂轩阁

我也是报这个错,也修改了update方法。。好像可以了


0
沂轩阁
沂轩阁

按照上面的修改后,将引用该代码的地方也修改了,

最后成功了,然后到登录界面,按照上面说的admin 登录,死活登录不进去。。。


0
Howard.L.Huang
Howard.L.Huang
修改下项目的jre环境,1.7可以的
返回顶部
顶部